/* ***********************************************************************
**
**  Copyright (C) 2005  Christian Kranz
**
**  Siemens S65 Display Control
**
*********************************************************************** */
// disp.h
#ifndef _DISP_H
#define _DISP_H

#include "avr/io.h"
#include "lcd.h"

#define DISP_W 176
#define DISP_H 132
#define CHAR_H 14
#define CHAR_W 8
#define TEXT_COL 16
#define TEXT_ROW 12

#define LCD_RED     0xF800
#define LCD_GREEN   0x07E0
#define LCD_BLUE    0x001F
#define LCD_YELLOW  0xFFE0
#define LCD_CYAN    0x07FF
#define LCD_MAGENTA 0xF81F
#define LCD_WHITE   0xFFFF
#define LCD_BLACK   0x0000


/////////////////////////////// function prototypes ////////////////////////


void fill_rect(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint16_t color);
void put_char(uint8_t x, uint8_t y, char c, uint8_t rot, uint16_t fcolor, uint16_t bcolor);

#endif
// end of file disp.h
