/* ***********************************************************************
**
**  Copyright (C) 2005 Christian Kranz
**
** Siemens S65 Display Control
*********************************************************************** */

#ifndef _LCD_H
#define _LCD_H


#define LCD_CS     PB2
#define LCD_RESET  PB3
#define LCD_RS     PB4
#define LCD_MOSI   PB5
#define LCD_MISO   PB6
#define LCD_SCK    PB7

#define PWM_OUT    PB7

#ifndef LCD_ASM

 void mswait(uint16_t ms);

 void lcd_init(void);           // LCD initialise
 void lcd_clrscr(uint16_t color);
 void lcd_fillrect(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint16_t color);

 void lcd_wrdata(uint16_t);
 void lcd_wrcmd(uint16_t);

#endif

#endif // ifndef LCD_H

